summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick Daly <nick.m.daly@gmail.com>2010-02-07 22:15:19 -0600
committerNick Daly <nick.m.daly@gmail.com>2010-02-07 22:15:19 -0600
commitb74cac29e45f5e19049053b4394bb671718a7f08 (patch)
tree5415037ac6f9b21d0eea9c5e155c5a650bc1375a
parentc0eac1c5a92cba284913d6606034527ec8873424 (diff)
downloadgemrb-gameinstallers-b74cac29e45f5e19049053b4394bb671718a7f08.tar.bz2
gemrb-gameinstallers-b74cac29e45f5e19049053b4394bb671718a7f08.zip
Added TODO, installing expansions is irrelevant of full base install.
-rw-r--r--TODO3
-rwxr-xr-xauto-installer.sh14
2 files changed, 9 insertions, 8 deletions
diff --git a/TODO b/TODO
new file mode 100644
index 0000000..aa607bb
--- /dev/null
+++ b/TODO
@@ -0,0 +1,3 @@
+* Prompts for user input after recognizing IWD1 CD.
+* Doesn't install IWD-HOW.
+* Installing BG1-3CD results in recursive copying of the save file directory into itself. Weird. \ No newline at end of file
diff --git a/auto-installer.sh b/auto-installer.sh
index d16f9f8..b97b764 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -64,14 +64,12 @@ if [ -n "$EXTRASCRIPT" ]; then
fi
fi
-if [ "$FULLINSTALL" -eq 0 ]; then
- if [ -n "$EXPANSIONSCRIPT" ]; then
- if query "Do you want to install the files needed by the $EXPANSIONNAME expansion?" y; then
- EXPANSIONINSTALL=1
- "${scriptdir}/${EXPANSIONSCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
- else
- EXPANSIONINSTALL=0
- fi
+if [ -n "$EXPANSIONSCRIPT" ]; then
+ if query "Do you want to install the files needed by the $EXPANSIONNAME expansion?" y; then
+ EXPANSIONINSTALL=1
+ "${scriptdir}/${EXPANSIONSCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+ else
+ EXPANSIONINSTALL=0
fi
fi